### Method

# Fwupd Device set_serial

#### Declaration [src]

    void
    fwupd_device_set_serial (
      FwupdDevice* self,
      const gchar* serial
    )

#### Description [src]

Sets the serial number for the device.

Available since: | 1.1.2

#### Parameters

`serial` | `const gchar*`
| The device serial number.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.